Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class IssuingDistributionPoint

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.IssuingDistributionPoint

All Implemented Interfaces:
  DEREncodable

    public class IssuingDistributionPoint

extends ASN1Encodable

     IssuingDistributionPoint ::= SEQUENCE {
       distributionPoint          [0] DistributionPointName OPTIONAL,
       onlyContainsUserCerts      [1] BOOLEAN DEFAULT FALSE,
       onlyContainsCACerts        [2] BOOLEAN DEFAULT FALSE,
       onlySomeReasons            [3] ReasonFlags OPTIONAL,
       indirectCRL                [4] BOOLEAN DEFAULT FALSE,
       onlyContainsAttributeCerts [5] BOOLEAN DEFAULT FALSE }

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`IssuingDistributionPoint(ASN1Sequence seq)` Constructor from ASN1Sequence
`IssuingDistributionPoint(DistributionPointName distributionPoint, boolean onlyContainsUserCerts, boolean onlyContainsCACerts, ReasonFlags onlySomeReasons, boolean indirectCRL, boolean onlyContainsAttributeCerts)` Constructor from given details.

Method Summary
`DistributionPointName` `getDistributionPoint()`
`static IssuingDistributionPoint` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static IssuingDistributionPoint` `getInstance(java.lang.Object obj)`
`ReasonFlags` `getOnlySomeReasons()`
`boolean` `isIndirectCRL()`
`boolean` `onlyContainsAttributeCerts()`
`boolean` `onlyContainsCACerts()`
`boolean` `onlyContainsUserCerts()`
`DERObject` `toASN1Object()`
`java.lang.String` `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IssuingDistributionPoint

    public IssuingDistributionPoint(DistributionPointName distributionPoint,
                                    boolean onlyContainsUserCerts,
                                    boolean onlyContainsCACerts,
                                    ReasonFlags onlySomeReasons,
                                    boolean indirectCRL,
                                    boolean onlyContainsAttributeCerts)

  Constructor from given details.

  Parameters:
    `distributionPoint` - May contain an URI as pointer to most current CRL.
    `onlyContainsUserCerts` - Covers revocation information for end certificates.
    `onlyContainsCACerts` - Covers revocation information for CA certificates.
    `onlySomeReasons` - Which revocation reasons does this point cover.
    `indirectCRL` - If `true` then the CRL contains revocation information about certificates ssued by other CAs.
    `onlyContainsAttributeCerts` - Covers revocation information for attribute certificates.

### IssuingDistributionPoint

    public IssuingDistributionPoint(ASN1Sequence seq)

  Constructor from ASN1Sequence

Method Detail

### getInstance

    public static IssuingDistributionPoint getInstance(ASN1TaggedObject obj,
                                                       boolean explicit)

### getInstance

    public static IssuingDistributionPoint getInstance(java.lang.Object obj)

### onlyContainsUserCerts

    public boolean onlyContainsUserCerts()

### onlyContainsCACerts

    public boolean onlyContainsCACerts()

### isIndirectCRL

    public boolean isIndirectCRL()

### onlyContainsAttributeCerts

    public boolean onlyContainsAttributeCerts()

### getDistributionPoint

    public DistributionPointName getDistributionPoint()

  Returns:
    Returns the distributionPoint.

### getOnlySomeReasons

    public ReasonFlags getOnlySomeReasons()

  Returns:
    Returns the onlySomeReasons.

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Bouncy Castle Cryptography Library 1.45